0

I set two virtual machines. One is the mail-server and the other one is the client.

On the mail-server I've tried using

apt install libc6-i386 libc6-dev-i386

and

apt-get install libc6-i386 libc6-dev-i386.

Both of them give error message:

Reading package lists... Done

Building dependency tree

Reading state information... Done

Package libc6-i386 is not available, but is referred to by another package.

This may mean that the package is missing, has been obsoleted, or

is only available from another source

However the following packages replace it:

libc6

E: Package 'libc6-i386' has no installation candidate

E: Unable to locate package libc6-dev-i386

What shall I do?

I'm looking forward to your solution.

  • Have you tried sudo apt install gcc-multilib? This package containging support for 32bit libc. – P.P Jul 4 at 14:53
  • No, I haven't tried it yet. – jiajia Jul 4 at 14:58
0

You have to update your package lists first by

sudo apt-get update

And then install the packages by

sudo apt-get install libc6-i386 libc6-dev-i386
| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.